/*
   获取组件Map
 */

let fs = require("fs");
let config = require("../util/config");

module.exports = function *(next){
    let req = this.request;
    let source = req.query.source;
    let componentStore = require(`../plugin/${config.storePlugin}`)("component");
    var coms = yield componentStore.search({
      status:1
    });
    if(source){
      coms = coms && coms.filter(item=>{
          var businessKeyList = item.businessKeys&&item.businessKeys.split(',')
          if(businessKeyList&&businessKeyList.indexOf(`${source}`)>-1){
            return true
          }
          return false
      })
    }
    var items = coms && coms.map(item =>{
        return {
          cName: item.cName,
          config: item.config,
          platform: item.platform,
          uniqueKey: item.uniqueKey,
          type: item.type,
          previewImg: item.previewImg
        }
      })
    var result = {
    };
    if(items&&items.length>0) {
      for (var i = 0; i < items.length;i++) {
        var com = items[i];
        if(!result[com['type']]){
          result[com['type']] = [com];
        }else {
          result[com['type']].push(com);
        }
      }
    }
    this.throw(200,{
      code:200,
      msg:"查询组件信息成功",
      data:result
    });
  };


