/*
   获取组件Map
 */

let fs = require("fs");
let config = require("../util/config");

module.exports = function *(next){
    let req = this.request;
    let id = req.query.id;
    let componentStore = require(`../plugin/${config.storePlugin}`)("component");
    var coms = yield componentStore.search({
      id:id
    });
    var item = coms&&coms[0]
    item.name = item.cName
    item.memo = item.previewImg
    item.businessKeys = item.businessKeys ? item.businessKeys.split(','):[]
    this.throw({
      code:100,
      msg:"查询组件信息成功",
      result:item
    });
  };


