/*
	登出
*/
let config = require("../util/config");

module.exports = function *(next){
	let req = this.request;
	let res = this.response;

	if(config.userPlugin){
		let result =  yield require(`../plugin/${config.userPlugin}`).out(req,res);
		this.throw(200,result);
	}else{
		this.throw(200,{
			code:500,
			msg:"没有这功能"
		})
	}
}
