'use strict';

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _elementUi = require('element-ui');

var _elementUi2 = _interopRequireDefault(_elementUi);

require('element-ui/lib/theme-default/index.css');

require('./less/main.less');

var _PageList = require('./pages/PageList');

var _PageList2 = _interopRequireDefault(_PageList);

var _index = require('./store/index.js');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_vue2.default.use(_elementUi2.default);


window.unoPreOpts && window.unoPreOpts.forEach(function (item) {
  _index2.default[item.type](item.name, item.payload);
});
window.unoStore = _index2.default;
_index2.default.dispatch('getEnums');
_vue2.default.component('page-list', _PageList2.default);
new _vue2.default({
  store: _index2.default,
  el: '#uno-list'
});