'use strict';

var _request = require('../webUtil/request');

var _request2 = _interopRequireDefault(_request);

var _unoConfig = require('../webUtil/unoConfig');

var _unoConfig2 = _interopRequireDefault(_unoConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  state: {
    'list': []
  },
  mutations: {
    setTemplateList: function setTemplateList(state, payload) {
      state.list = payload;
    }
  },
  actions: {
    getTemplateList: function getTemplateList(context) {
      _request2.default.getTemplateList({ source: _unoConfig2.default.source }).then(function (json) {
        if (json && json.code === 200) {
          context.commit('setTemplateList', json && json.data);
        } else {
          context.commit('error', json && json.msg);
        }
      });
    }
  },
  getters: {}
};