/**
 * Created by shen on 2017/2/20.
 */
let co = require("co");
var Pigeon = require("@dp/pigeon-client");
var java = Pigeon.java;
var request = require("request");
let config = require("../util/config");
var Lion = require("@dp/lion-client");
let pageStatus = require("../ajax/enums/pageStatus");
module.exports = function () {
  co(function* (){
    console.log('下线过期活动:' + new Date());
    let pageStore = require(`../plugin/${config.storePlugin}`)("page");
    let now = new Date()
    console.log(`${now.getFullYear()}-${now.getMonth()+1}-${now.getDate()-1}`)
    let pages = yield pageStore.search({endTime:`${now.getFullYear()}-${now.getMonth()+1}-${now.getDate()-1} 23:59:59`},{
      status:[pageStatus.init,pageStatus.process]
    });
    console.log(`${now.getFullYear()}-${now.getMonth()+1}-${now.getDate()-1}`)
    console.log(JSON.stringify(pages))
    if (!pages || pages.length < 1) {
      return
    }
    for (let i =0;i<pages.length;i++) {
      let page = pages[i]
      //修改发布状态 修改在线状态
      yield pageStore.update({onLine: 0,status: 3,publishUser:'uno下线job'}, {topicId: page.topicId});
      //重新发布
      var buildUrl = yield Lion.getProperty("uno-web.buildUrl" , "");
      var checkStatus = yield new Promise(function(resolve,reject){
        request(`${buildUrl}/job/${page.topicId}`, function(error, response, body) {
          console.log(JSON.stringify(response))
          resolve(response.statusCode)
        });
      });
      console.log(`校验发布项存在结果：${checkStatus}`);
      if (checkStatus ==200) {
        yield pageStore.update({publishStatus: 3}, {topicId: page.topicId});
        var publishStatus = yield new Promise(function(resolve,reject){
          request(`${buildUrl}/job/${page.topicId}/buildWithParameters?pageId=${page.topicId}`, function(error, response, body) {
            console.log(JSON.stringify(response))
            resolve(response.statusCode)
          });
        });
        console.log(`重新发布结果：${publishStatus}`);
      }
      //下线item
      var registerRequest = java('com.dianping.gmkt.event.datapools.api.request.ShutDownRequest', {
        type: java.int(0),
        pageID: java.int(page.topicId)
      })
      var registerResult = yield Pigeon.services.dataManageService.invoke("cancel", registerRequest)
      console.log(`下线活动${page.topicId}结果：${JSON.stringify(registerResult || '{}')}`);
    }
  });
}
