// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import './RenderCmp.js'
// 注册组件FormList 实现formList的递归
import CmpTree from './pages/CmpTree.vue'
import FormTree from './pages/FormTree.vue'
Vue.component('cmp-tree', CmpTree)
Vue.component('form-tree', FormTree)
// import App from './App'
import VueRouter from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-default/index.css'
import './less/main.less'
Vue.use(ElementUI)
Vue.use(VueRouter)
/* eslint-disable no-new */

import PageDetail from './pages/PageDetail'
import PageList from './pages/PageList'
import PageConfigEditor from './pages/PageConfigEditor'
import PageVersionEditor from './pages/PageVersionEditor'
import Test from './Test'
const Hello = { template: '<div>Hello !</div>' }
const router = new VueRouter({
  routes: [
    // 动态路径参数 以冒号开头
    { path: '/', component: PageList },
    { path: '/hello', component: Hello },
    { path: '/test', component: Test },
    { path: '/pageList', component: PageList },
    { path: '/pageDetail/:id', component: PageDetail },
    { path: '/pageList/:id', component: PageList },
    { path: '/version/:id', component: PageVersionEditor },
    { path: '/config/:id', component: PageConfigEditor }
  ]
})
import store from './store/index.js'
store.dispatch('getEnums')
new Vue({
  store,
  router
}).$mount('#app')

