/*
    首页渲染
*/
let config = require("../util/config");
var Lion = require("@dp/lion-client");
var request = require("request");
module.exports = function *(next){
    let req = this.request;
    let res = this.response;
    let userinfo = {};
    //登录账号过滤
    if(config.userPlugin){
        yield require(`../plugin/${config.userPlugin}`).filter(req,res);
        userinfo = yield require(`../plugin/${config.userPlugin}`).get(req,res);
    }
    userinfo.isSuperManager = 0
    var superManager = yield Lion.getProperty("uno-web.superManager" , '');
    if(superManager.indexOf(userinfo.login)>-1){
      userinfo.isSuperManager = 1
    }
    var url = yield Lion.getProperty("uno-web.buApiUrl" , '');
    var version = yield Lion.getProperty("uno-web.staticVersion" , '');

    userinfo.bu = yield new Promise(function(resolve,reject){
      request(`${url}?username=${userinfo.login}`, function(error, response, body) {
        var result = JSON.parse(body);
        resolve(result.result)
      });
    });
    yield this.render('index',{
        userInfo:userinfo,
        version:version
    });
}
