# uno-web

# 开始
```bash
 mnpm install uno-web
```

# 使用
## 1. 详情页
### 1）dom
```html
  <div id="uno-detail">
    <page-detail></page-detail>
  </div>
```
### 2）static
```javascript
  window.unoPreOpts=[{"type":"commit","name":"setPageTopicId","payload":1200519}]
  require('uno-web/dist/static/css/detail.css')
  require('uno-web/dist/static/js/manifest.js')
  require('uno-web/dist/static/js/vendor.js')
  require('uno-web/dist/static/js/detail.js')
```
```javascript
<script>
  window.unoPreOpts=[{"type":"commit","name":"setPageTopicId","payload":1200519}]
</script>
<link href="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/css/detail.css" rel="stylesheet">
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/manifest.js"></script>
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/vendor.js"></script>
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/detail.js"></script>
```

## 2. 列表页
### 1）dom
```html
  <div id="uno-list">
    <page-list></page-list>
  </div>
```
### 2）static
```javascript
  require('uno-web/dist/static/css/list.css')
  require('uno-web/dist/static/js/manifest.js')
  require('uno-web/dist/static/js/vendor.js')
  require('uno-web/dist/static/js/list.js')
```
```javascript
<link href="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/css/list.css" rel="stylesheet">
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/manifest.js"></script>
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/vendor.js"></script>
<script type="text/javascript" src="https://www.dpfile.com/ba/es/uno-web/dist/1.0.34/static/js/list.js"></script>
```
## 3. 设置用户信息
```javascript
  window.userInfo = {id: 1079881, login: "yongqiang.shen", name: "沈永强", isSuperManager: 1, bu: 0}
```
## 4. 前置操作
```javascript
  window.unoPreOpts=[{"type":"commit","name":"setPageTopicId","payload":1200519}]
```
## 5. api
```javascript
  //todo
```
