/*
   获取页面详情
 */

let fs = require("fs");
let config = require("../util/config");
let ConfigJSON = require("../src/webUtil/ConfigJSON.js");
let str = require("../src/webUtil/str.js");
var Lion = require("@dp/lion-client");
module.exports = function *(next){
    let req = this.request;
    let topicId = req.query.pageId;
    let callback = req.query.callback;
    if(!topicId){
      this.throw(200,{
        code:500,
        msg:"topicId不能为空"
      });
      return ;
    };
    let pageStore = require(`../plugin/${config.storePlugin}`)("page");
    let pages = yield pageStore.search({
      topicId:topicId
    });
    let page = pages&&pages[0] || {}
    let tipUrl = undefined
    if(page.platform == 1){
      tipUrl = yield Lion.getProperty("uno-web.tipUrl" , "");
    } else {
      tipUrl = yield Lion.getProperty("uno-web.tipUrlMt" , "");
    }

    var configStr = str.decode(page.config)
    this.throw({
      code:100,
      msg: "SUCCESS",
      callback: callback,
      name: topicId,
      result:{
        topicId: page.topicId,
        tipUrl: tipUrl,
        title: page.title,
        platform: page.platform,
        onLine: page.onLine,
        author: page.author,
        name: page.name,
        bu: page.bu,
        useCentralCity: page.useCentralCity ? true  : false,
        share: page.share,
        versionConfig: page.versionConfig,
        source: page.source,
        module: JSON.stringify(ConfigJSON.toPreviewJson(JSON.parse(configStr || '[]')))
      }
    });
  };


