/*
   获取页面列表接口
 */

let fs = require("fs");
let config = require("../util/config");
let status = require("./enums/templateStatus");

module.exports = function *(next){
    let req = this.request;
    let store = require(`../plugin/${config.storePlugin}`)("template");
    var results = yield store.search({status:status.active});
    let source = req.query.source;
    if(source){
      results = results && results.filter(item=>{
          if(`${item.businessKey}`== `${source}`){
            return true
          }
          return false
        })
    }
    results = results || []
    this.throw(200,{
      code:200,
      data:results.map(item => {
        return {
          id: item.id,
          name: item.name
        }
      })
    });
  };


