/*
   获取组件Map
 */

let fs = require("fs");
let config = require("../util/config");

module.exports = function *(next){
    let componentStore = require(`../plugin/${config.storePlugin}`)("component");
    var coms = yield componentStore.search();
    var items = coms && coms.map(item =>{
        return {
          id:item.id,
          name: item.cName
        }
      })
    this.throw({
      code:100,
      msg:"查询组件信息成功",
      result:items
    });
  };


