'use strict';

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

require('./RenderCmp.js');

var _CmpTree = require('./pages/CmpTree.vue');

var _CmpTree2 = _interopRequireDefault(_CmpTree);

var _FormTree = require('./pages/FormTree.vue');

var _FormTree2 = _interopRequireDefault(_FormTree);

var _vueRouter = require('vue-router');

var _vueRouter2 = _interopRequireDefault(_vueRouter);

var _elementUi = require('element-ui');

var _elementUi2 = _interopRequireDefault(_elementUi);

require('element-ui/lib/theme-default/index.css');

require('./less/main.less');

var _PageDetail = require('./pages/PageDetail');

var _PageDetail2 = _interopRequireDefault(_PageDetail);

var _PageList = require('./pages/PageList');

var _PageList2 = _interopRequireDefault(_PageList);

var _PageConfigEditor = require('./pages/PageConfigEditor');

var _PageConfigEditor2 = _interopRequireDefault(_PageConfigEditor);

var _PageVersionEditor = require('./pages/PageVersionEditor');

var _PageVersionEditor2 = _interopRequireDefault(_PageVersionEditor);

var _Test = require('./Test');

var _Test2 = _interopRequireDefault(_Test);

var _index = require('./store/index.js');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_vue2.default.component('cmp-tree', _CmpTree2.default);
_vue2.default.component('form-tree', _FormTree2.default);

_vue2.default.use(_elementUi2.default);
_vue2.default.use(_vueRouter2.default);

var Hello = { template: '<div>Hello !</div>' };
var router = new _vueRouter2.default({
  routes: [{ path: '/', component: _PageList2.default }, { path: '/hello', component: Hello }, { path: '/test', component: _Test2.default }, { path: '/pageList', component: _PageList2.default }, { path: '/pageDetail/:id', component: _PageDetail2.default }, { path: '/pageList/:id', component: _PageList2.default }, { path: '/version/:id', component: _PageVersionEditor2.default }, { path: '/config/:id', component: _PageConfigEditor2.default }]
});

_index2.default.dispatch('getEnums');
new _vue2.default({
  store: _index2.default,
  router: router
}).$mount('#app');