'use strict';

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _dateformat = require('dateformat');

var _dateformat2 = _interopRequireDefault(_dateformat);

var _unoConfig = require('../webUtil/unoConfig');

var _unoConfig2 = _interopRequireDefault(_unoConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  emptyPageDetail: function emptyPageDetail() {
    var now = new Date().getTime();
    var end = (0, _dateformat2.default)(now + 30 * 24 * 60 * 60 * 1000, 'yyyy-mm-dd');
    var page = {
      title: undefined,
      name: undefined,
      id: undefined,
      topicId: undefined,
      endTime: end,
      platform: '1',
      templateId: 1,
      bu: undefined,
      status: undefined,
      source: _unoConfig2.default.source,
      useCentralCity: undefined
    };
    return (0, _assign2.default)({}, page);
  },
  emptyShare: function emptyShare() {
    var share = {
      'url': undefined,
      'desc': undefined,
      'title': undefined,
      'image': undefined,
      'useH5Bar': false,
      'h5BarColor': '#ddd'
    };
    return (0, _assign2.default)({}, share);
  }
};