'use strict';

var atob = require('atob');
var btoa = require('btoa');
module.exports = {
  encode: function encode(str) {
    try {
      return btoa(unescape(encodeURIComponent(str)));
    } catch (err) {
      return str;
    }
  },
  decode: function decode(str) {
    try {
      return decodeURIComponent(escape(atob(str)));
    } catch (err) {
      return str;
    }
  }
};