var gulp = require('gulp');
var shell = require('gulp-shell');
var cheerio = require('gulp-cheerio');
var del = require('del');
var gulpUtil = require('gulp-util');
var ftp = require('gulp-ftp');
var path = require('path');
var babel = require('gulp-babel');
var replace = require('gulp-replace');
gulp.task('build-dist',shell.task([
  'npm version patch && npm run build-dist'
]));
gulp.task('ftp-dist', ['build-dist'], function() {
  var pkg = require('../../package.json');
  return gulp.src(['./distt/' + '**/*', '!' + './distt/' + 'index.html']).pipe(ftp({
    host: '10.1.131.29',
    port: 21,
    user: 'ba',
    pass: 'eNRicXp3i2M6EAQYBFrQfND7G',
    remotePath: 'es/' + pkg.name + '/dist/' + pkg.version
  })).pipe(gulpUtil.noop());
});
gulp.task('dist',['ftp-dist'], function() {
  del([
    './distt'
  ]);
});


gulp.task('publish',shell.task([
  'npm publish --registry https://registry.npmjs.org/'
]));
gulp.task('copy',function () {
  gulp
    .src(['./src/**/*.vue','./src/**/*.less'])
    .pipe(gulp.dest('./dist/'));
});
gulp.task('babel',['copy'], function () {
  gulp
    .src('./src/**/*.js')
    .pipe(babel({
      "presets": ["es2015", "stage-0"]
    }))
    .pipe(gulp.dest('./dist/'));
});
