// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
// import App from './App'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-default/index.css'
import './less/main.less'
Vue.use(ElementUI)
/* eslint-disable no-new */

import PageList from './pages/PageList'
import store from './store/index.js'

window.unoPreOpts && window.unoPreOpts.forEach(item=>{
  store[item.type](item.name,item.payload)
})
window.unoStore = store
store.dispatch('getEnums')
Vue.component('page-list', PageList)
new Vue({
  store,
  el: '#uno-list'
})


