/**
 * Created by shen on 2017/1/16.
 */
import request from '../webUtil/request'
import unoConfig from '../webUtil/unoConfig'
module.exports = {
  state: {
    'list': []
  },
  mutations: {
    setTemplateList (state, payload) {
      state.list = payload
    }
  },
  actions: {
    getTemplateList (context) {
      request.getTemplateList({source:unoConfig.source}).then(json => {
        if (json && json.code === 200) {
          context.commit('setTemplateList', json && json.data)
        } else {
          context.commit('error', json && json.msg)
        }
      })
    }
  },
  getters: {}
}
